Skip to main content
`Ctrl`+`K`

# numpy.lib.npyio.DataSource.open

method

lib.npyio.DataSource.open(path, mode='r', encoding=None, newline=None)

  Open and return file-like object.

  If path is an URL, it will be downloaded, stored in the DataSource directory and opened from there.

  Parameters:
    path str or pathlib.Path

      Local file path or URL to open.

    mode{‘r’, ‘w’, ‘a’}, optional

      Mode to open path. Mode ‘r’ for reading, ‘w’ for writing, ‘a’ to append. Available modes depend on the type of object specified by path. Default is ‘r’.

    encoding{None, str}, optional

      Open text file with given encoding. The default encoding will be what `open` uses.

    newline{None, str}, optional

      Newline to use when reading text file.

  Returns:
    out file object

      File object.